#!/bin/sh
set -e

. optvars

SEARCH="lib/pkgconfig"
ROOTDIR=$KUMATUXROOTPKGCONFIG
ETCDIR=$KUMATUXETCPKGCONFIG

## check whether app already linked
LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR $SEARCH`
if [ "$LINKED" ]
then
## don't link
    echo "$1/$SEARCH linked already in $LINKED"
else
## link
    $KUMATUXLINK/link-line.sh $1 $SEARCH $ETCDIR $ROOTDIR
fi

SEARCH="lib64/pkgconfig"

## check whether app already linked
LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR $SEARCH`
if [ "$LINKED" ]
then
## don't link
    echo "$1/$SEARCH linked already in $LINKED"
else
## link
    $KUMATUXLINK/link-line.sh $1 $SEARCH $ETCDIR $ROOTDIR
fi

SEARCH="share/pkgconfig"

## check whether app already linked
LINKED=`$KUMATUXFIND/linked-allready.sh $1 $ROOTDIR $SEARCH`
if [ "$LINKED" ]
then
## don't link
    echo "$1/$SEARCH linked already in $LINKED"
else
## link
    $KUMATUXLINK/link-line.sh $1 $SEARCH $ETCDIR $ROOTDIR
fi

